﻿namespace anbs_cp.Enums;

/// <summary>
/// Область печати состояния действия
/// </summary>
public enum EActionStatePrintArea
{
    /// <summary>
    /// Все (сообщения, предупреждения, ошибки)
    /// </summary>
    All = 0,

    /// <summary>
    /// Только предупреждения и ошибки
    /// </summary>
    ErrorsAndWarnings = 1,

    /// <summary>
    /// Только ошибки
    /// </summary>
    ErrorsOnly = 2,

    /// <summary>
    /// Только предупреждения
    /// </summary>
    WarningsOnly = 3,

    /// <summary>
    /// Только информационные сообщения
    /// </summary>
    InfosOnly = 4
}